## org.apache.commons.jelly.tags.core
Class IfTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.IfTag

All Implemented Interfaces:
  Tag

    public class IfTag

extends TagSupport

A tag which conditionally evaluates its body based on some condition

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`IfTag()`

Method Summary
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setTest(Expression test)` Sets the Jelly expression to evaluate.

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfTag

    public IfTag()

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `MissingAttributeException`
    `JellyTagException`

### setTest

    public void setTest(Expression test)

  Sets the Jelly expression to evaluate. If this returns true, the body of the tag is evaluated

  Parameters:
    `test` - the Jelly expression to evaluate

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.